---
title: HTMLAreaElement.referrerPolicy
slug: Web/API/HTMLAreaElement/referrerPolicy
tags:
  - API
  - Experimental
  - HTMLAreaElement
  - Property
  - Reference
  - Referrer Policy
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p>The <code><strong>HTMLAreaElement</strong></code><strong><code>.referrerPolicy</code></strong> property reflect the HTML {{htmlattrxref("referrerpolicy","area")}} attribute of the {{HTMLElement("area")}} element defining which referrer is sent when fetching the resource.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>refStr</var> = <var>areaElt</var>.referrerPolicy;
<var>areaElt</var>.referrerPolicy = <var>refStr</var>;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dd>
 <ul>
  <li><code>"no-referrer"</code> meaning that the <code>Referer:</code> HTTP header will not be sent.</li>
  <li><code>"origin"</code> meaning that the referrer will be the origin of the page, that is roughly the scheme, the host and the port.</li>
  <li><code>"unsafe-url"</code> meaning that the referrer will include the origin and the path (but not the fragment, password, or username). This case is unsafe as it can leak path information that has been concealed to third-party by using TLS.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html">&lt;img usemap="#mapAround" width="100" height="100" src="/img/logo@2x.png" /&gt;
&lt;map id="myMap" name="mapAround" /&gt;&gt;</pre>

<pre class="brush: js;highligh:[4]">var elt = document.createElement("area");
elt.href = "/img2.png";
elt.shape = "rect";
elt.referrerPolicy = "no-referrer";
elt.coords = "0,0,100,100";
var map = document.getElementById("myMap");

map.appendChild(elt);
// When clicked, the area's link will not send a referrer header.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-referrer-attribute', 'referrerpolicy attribute')}}</td>
   <td>{{Spec2('Referrer Policy')}}</td>
   <td>Added the <code>referrerPolicy</code> property.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLAreaElement.referrerPolicy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLImageElement.referrerPolicy")}}, {{domxref("HTMLAnchorElement.referrerPolicy")}}, and {{domxref("HTMLIFrameElement.referrerPolicy")}}.</li>
</ul>
